Author Topic: [Solved] 1.05 trial installer fails  (Read 2343 times)

Offline Cougar_DK

  • Newbie Mark II
  • *
  • Posts: 24
[Solved] 1.05 trial installer fails
« on: June 12, 2009, 08:07:54 AM »
Hi,

I have downloaded FileFronts 1.05 version of AI War three times. But everytime I get the following error when I try to install it:


Do you have an alternative link for 1.05 or ?

Cheers
Mark
« Last Edit: September 25, 2009, 09:49:11 AM by Fiskbit »
-Men do not quit playing because they grow old. They grow old because they quit playing. -- Oliver Wendell Holmes

Offline x4000

  • Chris Park, Arcen Games Founder and Lead Designer
  • Administrator
  • Zenith Council Member Mark III
  • *****
  • Posts: 31,225
Re: 1.05 trial installer fails
« Reply #1 on: June 12, 2009, 08:22:21 AM »
Hi Mark,

Thanks for letting us know -- can you tell me, does it show that error immediately, or is that error shown after the install process gets started?  Can you tell me what version of windows you are on?  XP, Vista, (and by extension Windows 7) are the OSes supported.

You might try updating to Windows Installer 4.5 (free update from Microsoft), since that will often fix any problems with MSI package installation (our product is actually in an MSI package wrapped in the exe that checks prerequisites).  Here's the link for that:  http://www.microsoft.com/downloads/details.aspx?FamilyId=5A58B56F-60B6-4412-95B9-54D056D6F9F4&displaylang=en

If none of that works, then you can get a full version of 1.004 from here:  http://www.arcengames.com/share/AIWar1004Full.zip

Unzip the above to anywhere you want, and you should be able to run it as long as you have the prerequisites installed:

Microsft .NET 2.5 Framework SP1:  http://www.arcengames.com/dl/dotNetFx35setup.exe
DirectX 9.0c:  http://www.arcengames.com/dl/dxwebsetup.exe
March 2009 SlimDX Runtime SP1:  http://www.arcengames.com/dl/SlimDX%20Runtime%20(March%202009%20SP1).msi

All of the above are normally installed by our installer, but if you can't run the installer then you have to do those yourself.

Once you have all that down, you'll be able to run 1.004 of the game.  If you want 1.005, you can download this:  http://www.arcengames.com/share/AIWar1005.zip

Then just unpack it on top of the 1.004 version, and you'll be at full 1.005.

Just as an FYI, if you install the game like this without using our installer, then future patches will not work (they are based on the same MSI system as the installer, and require that the installer have first succeeded).  However, I tend to make the zip files for updates available for those who have trouble -- sometimes the windows installer components on a person's machine are just corrupt in some way that prevents more modern-style MSI packages from being run.  The other alternative would be to buy the game through Impulse, if you find yourself purchase-inclined -- their installation and patch distribution system does not use windows installer or MSI.

Thanks for your interest in the game, and please let me know if there's anything else we can do to assist.

Best,
Chris
Have ideas or bug reports for one of our games?  Mantis for Suggestions and Bug Reports. Thanks for helping to make our games better!

Offline Cougar_DK

  • Newbie Mark II
  • *
  • Posts: 24
Re: 1.05 trial installer fails
« Reply #2 on: June 12, 2009, 08:31:15 AM »
Hi Chris,

Thanks for moving my post, didn't spot the Technical Forum  :D

I have now downloaded the 0.940 version and that one installs just fine. I can even get the game to find the updates and download them. But I can an error (in danish) telling me that it can update the game....

First off the installer:


And the error:


The text says something like this:
"The upgrade can't be installed with Windows Installer since the program, that need to be updated is not found or is a wrong version. Make sure that the program that needs the update is on the pc and you have the right update file"


My pc is totally clean since I re-installed it two days ago. You can see my DxDiag here: http://www.twins4ever.dk/DxDiag/DxDiag.txt


Thanks for all the different options, I will try the Windows Installer 4.5 first.

Cheers
Mark
-Men do not quit playing because they grow old. They grow old because they quit playing. -- Oliver Wendell Holmes

Offline Cougar_DK

  • Newbie Mark II
  • *
  • Posts: 24
Re: 1.05 trial installer fails
« Reply #3 on: June 12, 2009, 08:33:12 AM »
Oh forgot to add that the error comes a little into the install. The 3 extra things got installed (I only needed the DXLite). I can try to take a screen shot of the failing installer if you want to see it.
-Men do not quit playing because they grow old. They grow old because they quit playing. -- Oliver Wendell Holmes

Offline Cougar_DK

  • Newbie Mark II
  • *
  • Posts: 24
Re: 1.05 trial installer fails
« Reply #4 on: June 12, 2009, 08:42:42 AM »
The Windows Installer 4.5 did the trick, thanks Chris.

Now I'm out to try the tutorial.

Cheers
mark
-Men do not quit playing because they grow old. They grow old because they quit playing. -- Oliver Wendell Holmes

Offline x4000

  • Chris Park, Arcen Games Founder and Lead Designer
  • Administrator
  • Zenith Council Member Mark III
  • *****
  • Posts: 31,225
Re: 1.05 trial installer fails
« Reply #5 on: June 12, 2009, 08:56:15 AM »
Hi Mark,

Thanks for the notes, I'm glad that it was as simple as Windows Installer 4.5.  Some machines -- seemingly all on XP SP3 -- seem to have trouble with patches if they don't have the WI4.5 installed.  So I think that was what was going on when you tried to patch from 0.940 up to the later versions.  Thanks very much for all the added info about what did and did not work for you, I'm sure that will be quite helpful for anyone in the future who has a similar issue.

And, of course, thanks again for your interest in the game!

Chris
Have ideas or bug reports for one of our games?  Mantis for Suggestions and Bug Reports. Thanks for helping to make our games better!

Offline x4000

  • Chris Park, Arcen Games Founder and Lead Designer
  • Administrator
  • Zenith Council Member Mark III
  • *****
  • Posts: 31,225
Re: 1.05 trial installer fails
« Reply #6 on: June 17, 2009, 02:38:45 PM »
Update:  The new 1.006 version of the game now includes the installers for WI4.5 right inside it, so it will take care of that as a prerequisite if need be.  I've also reverted the game to using the older version of Advanced Installer again, so installs using even older versions of Windows Installer should now work (I just did is successfully this morning on WI3.1).  Patches will still not work if you don't upgrade to WI4.5 through the prerequisites (that's the issue people were having with 0.940), but if you just follow through with the installer everything should be a-ok now.

This was a challenging issue for us, largely because a lot of it was outside our control.  We couldn't get the issues worked out with the Advanced Installer folks with their newer software version, so doing a revert was our way of making sure that things would be fully functional for the 1.006 version.  Thank you everyone for your patience and assistance in terms of bug reporting with this issue.  The strangest thing with this was that not even all machines pre-WI4.5 were seeing this issue, only about 10% of them were.  The Advanced Installer folks couldn't duplicate it, even.  We'll be sticking with the current version of Advanced Installer for the foreseeable future, so hopefully we will not run into any such issues again.  This is not something we want to go through again, anymore than anyone else does!

Again, thanks for your patience and your interest in AI War.

Chris
Have ideas or bug reports for one of our games?  Mantis for Suggestions and Bug Reports. Thanks for helping to make our games better!